summaryrefslogtreecommitdiff
path: root/tests/mv/vfat
diff options
context:
space:
mode:
Diffstat (limited to 'tests/mv/vfat')
-rw-r--r--tests/mv/vfat66
1 files changed, 66 insertions, 0 deletions
diff --git a/tests/mv/vfat b/tests/mv/vfat
new file mode 100644
index 0000000..20b10e2
--- /dev/null
+++ b/tests/mv/vfat
@@ -0,0 +1,66 @@
+#!/bin/sh
+# This is just for the record.
+# This test is not run.
+
+# Copyright (C) 2003 Free Software Foundation, Inc.
+
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA
+# 02110-1301, USA.
+
+exit 0
+
+cat <<\EOF
+
+Prior to 5.0.91, ...
+
+The problem:
+ On a VFAT file system with coreutils-5.0.90, `mv FOO foo' removes the
+ sole copy of the file named by both the source and destination arguments.
+
+Demonstrate the problem, as root:
+
+cd /tmp \
+ && dd if=/dev/zero of=1 bs=8192 count=50 \
+ && mkdir mnt && mkfs -t vfat 1 \
+ && mount -oloop 1 mnt && cd mnt \
+ && printf something important > foo \
+ && mv foo FOO
+test -f FOO && echo PASS-1 || echo FAIL-1
+ln foo bar
+mv foo FOO
+test -f FOO && echo PASS-2 || echo FAIL-2
+
+And in case you actually do the above, you can do this to clean up:
+
+ cd /tmp && umount /tmp/mnt && rm -r 1 mnt
+
+Hey! Can't create hard links on vfat.
+The above `ln' evokes an `operation not permitted' failure.
+
+This demonstrates the same thing with file system type `umsdos'
+No hard links:
+
+cd /tmp \
+ && dd if=/dev/zero of=1 bs=8192 count=50 \
+ && mkdir mnt && mkfs -t msdos 1 \
+ && mount -t umsdos -oloop 1 mnt && cd mnt \
+ && printf something important > foo \
+ && mv foo FOO
+test -f FOO && echo PASS-1 || echo FAIL-1
+ln foo bar
+mv foo FOO
+test -f FOO && echo PASS-2 || echo FAIL-2
+
+EOF